Page MenuHomePhabricator

$wgLanguageConverterCacheType cache what type of contents?
Closed, ResolvedPublic

Description

Hi,

I running a Chinese wiki site with multiple servers sharing cache though a single Redis instance. The redis hit rate keep stay in a low level of 60% due to limited ram space. I trying to move some cache to local APC cache to reduce redis memory footage.

I knew that $wgParserCacheType store parsed page content. But what does the $wgLanguageConverterCacheType do? Does it affect parsed simplified and traditional Chinese page contencts, or it only affect the conversion list between simplified and traditional Chinese words?

Happy new year!

Event Timeline

Zoglun created this task.Dec 31 2017, 9:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 31 2017, 9:08 PM
Zoglun added a comment.Jan 1 2018, 5:40 AM

Is it https://phabricator.wikimedia.org/source/mediawiki/browse/master/languages/data/ZhConversion.php & costumed MediaWiki:Conversiontable/zh-hans / MediaWiki:Conversiontable/zh-hant page?

Does it store inpage setting like following?

-{zh-hans:一般简体词汇; zh-hant:一般繁體詞彙; zh-cn:大陆简体词汇; zh-tw:台灣正體詞彙; zh-hk:港澳繁體詞彙; zh-sg:马新简体词汇}-
Krinkle updated the task description. (Show Details)Jul 28 2018, 8:14 PM
Krinkle closed this task as Resolved.Jul 28 2018, 8:26 PM
Krinkle claimed this task.
Krinkle added a subscriber: Krinkle.

@Zoglun LanguageConverterCache caches the result of loading all language conversions, including the data from https://github.com/wikimedia/mediawiki/blob/1.31.0/languages/data/ZhConversion.php, and the data from MediaWiki:Conversiontable/* pages on your wiki. They are cached for 12 hours (as of MediaWiki 1.31).

LanguageConverterCache:

  • It does not cache wikitext.
  • It does not cache Parser output.
  • It does not cache conversion of an article.
  • It does not cache in-page settings of an article.

The above is all cached, by ParserCache.

Cool thank you Krinkle!